/**
 * $Id: MayReturnNull.java,v 1.3 2009/12/19 22:34:09 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * (c)reated 24.04.2008 by oliver (ob@oasd.de)
 */
package patterntesting.annotation.check.runtime;

import java.lang.annotation.*;

/**
 * Use this annotation to mark methods which can return null values.
 * <br/>
 * The {@link "patterntesting.java.runtime.AbstractNullPointerTrap"} will
 * watch this postcondition.
 *
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 24.04.2008
 * @version $Revision: 1.3 $
 */
@Documented
@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface MayReturnNull {

}

/**
 * $Log: MayReturnNull.java,v $
 * Revision 1.3  2009/12/19 22:34:09  oboehm
 * trailing spaces removed
 *
 * Revision 1.2  2009/09/18 13:54:53  oboehm
 * javadoc warnings fixed
 *
 * Revision 1.1  2009/03/24 21:00:42  oboehm
 * moved to patterntesting.annotation.check.runtime
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-rt/src/main/java/patterntesting/annotation/check/runtime/MayReturnNull.java,v $
 */
