/**
 * $Id: PublicForTesting.java,v 1.2 2009/12/19 22:34:09 oboehm Exp $
 *
 * Copyright (c) 2009 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * (c)reated 18.03.2009 by oliver (ob@aosd.de)
 */
package patterntesting.annotation.check.runtime;

import java.lang.annotation.*;

/**
 * With this annotation you can mark methods which are public for testing but
 * which should *never* be called from outside, but only from test methods
 * or from the class itself.
 * <br/>
 * This annotation is similar to @OnlyForTesting but it cannot be
 * statically checked. So you find it unter the check.runtime package.
 *
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 18.03.2009
 * @version $Revision: 1.2 $
 */
@Documented
@Target({ElementType.METHOD, ElementType.CONSTRUCTOR})
@Retention(RetentionPolicy.RUNTIME)
public @interface PublicForTesting {

}

/**
 * $Log: PublicForTesting.java,v $
 * Revision 1.2  2009/12/19 22:34:09  oboehm
 * trailing spaces removed
 *
 * Revision 1.1  2009/03/24 21:00:42  oboehm
 * moved to patterntesting.annotation.check.runtime
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-rt/src/main/java/patterntesting/annotation/check/runtime/PublicForTesting.java,v $
 */
