/**
 * $Id: ForceThreadSafeCollection.java,v 1.2 2009/12/19 22:34:08 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * (c)reated 07.10.2008 by oliver (ob@oasd.de)
 */
package patterntesting.annotation.concurrent;

import java.lang.annotation.*;


/**
 * With this annotation you can mark classes and methods which sould use
 * thread-safe collection classes (i.e. sychnronized collections) only.
 *
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 07.10.2008
 * @version $Revision: 1.2 $
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD, ElementType.CONSTRUCTOR, ElementType.TYPE})
public @interface ForceThreadSafeCollection {

}

/**
 * $Log: ForceThreadSafeCollection.java,v $
 * Revision 1.2  2009/12/19 22:34:08  oboehm
 * trailing spaces removed
 *
 * Revision 1.1  2009/03/23 21:12:07  oboehm
 * annotation moved to patterntesting.annotation.concurrent
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-rt/src/main/java/patterntesting/annotation/concurrent/ForceThreadSafeCollection.java,v $
 */
