/**
 * $Id: NotNull.java,v 1.5 2009/12/19 22:34:09 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * (c)reated 06.12.2008 by oliver (ob@oasd.de)
 */
package patterntesting.runtime.annotation;

import java.lang.annotation.*;

/**
 * In contradiction to the NullPointerTrap which forbids all null arguments
 * you can use a more relax strategy and mark only these parameter (and
 * attributes) as "@NotNull" which should never be null.
 *
 * @deprecated moved to patterntesting.annotation.check.runtime
 * @see patterntesting.annotation.check.runtime.NotNull
 *
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 06.12.2008
 * @version $Revision: 1.5 $
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.PARAMETER, ElementType.METHOD, ElementType.FIELD})
public @interface NotNull {

}

/**
 * $Log: NotNull.java,v $
 * Revision 1.5  2009/12/19 22:34:09  oboehm
 * trailing spaces removed
 *
 * Revision 1.4  2009/03/24 21:00:42  oboehm
 * moved to patterntesting.annotation.check.runtime
 *
 * Revision 1.3  2009/02/19 12:33:07  oboehm
 * OnlyForTesting support added
 *
 * Revision 1.2  2008/12/09 19:28:11  oboehm
 * NotNull annotation is now available during runtime
 * logo for banner right created
 *
 * Revision 1.1  2008/12/07 13:53:38  oboehm
 * refactorings and minor reorganisations
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-rt/src/main/java/patterntesting/runtime/annotation/NotNull.java,v $
 */
