/**
 * $Id: NullArgsAllowed.java,v 1.5 2009/12/19 22:34:09 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * (c)reated 24.04.2008 by oliver (ob@oasd.de)
 */
package patterntesting.runtime.annotation;

import java.lang.annotation.*;

/**
 * Use this annotation to mark methods which are allowed to have null values
 * as argument.
 * <br/>
 * The {@link "patterntesting.java.runtime.AbstractNullPointerTrap"} will
 * watch this precondition.
 *
 * @deprecated moved to patterntesting.annotation.check.runtime
 * @see patterntesting.annotation.check.runtime.NullArgsAllowed
 *
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 24.04.2008
 * @version $Revision: 1.5 $
 */
@Documented
@Target({ElementType.METHOD, ElementType.CONSTRUCTOR, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface NullArgsAllowed {

}
